Index: tmp/org.eclipse.pde.hack/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.eclipse.pde.hack/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.eclipse.pde.hack/META-INF/MANIFEST.MF	(revision 3078)
@@ -5,5 +5,5 @@
 Bundle-Version: 1.0.0
 Fragment-Host: org.eclipse.pde.build;bundle-version="3.9.300"
 Automatic-Module-Name: org.eclipse.pde.hack
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.statsengine.r.core.macosx/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.core.macosx/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.statsengine.r.core.macosx/META-INF/MANIFEST.MF	(revision 3078)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.statsengine.r.core.macosx
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.statsengine.r.core;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Eclipse-PlatformFilter: (osgi.os=macosx)
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.statsengine.r.core.macosx
Index: tmp/org.txm.statsengine.r.core.linux/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.core.linux/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.statsengine.r.core.linux/META-INF/MANIFEST.MF	(revision 3078)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.statsengine.r.core.linux
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.statsengine.r.core;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Eclipse-PlatformFilter: (osgi.os=linux)
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.statsengine.r.core.linux
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java	(revision 3077)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java	(revision 3078)
@@ -3,6 +3,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.core.results.TXMResult;
 import org.txm.rcp.editors.TXMEditorToolBar;
 import org.txm.rcp.swt.GLComposite;
 
@@ -15,11 +16,11 @@
  */
 // FIXME: became useless? could now directly use TXMEditorToolBar
 public class ChartEditorToolBar extends TXMEditorToolBar {
-
-
-	public final static String ID = "ChartEditorToolBar" ;
 	
 	
+	public final static String ID = "ChartEditorToolBar";
+	
+	
 	/**
 	 * 
 	 * @param parent
@@ -31,7 +32,7 @@
 		this(chartEditor, parent, subWidgetsComposite, style, ChartEditorToolBar.ID);
 	}
 	
-
+	
 	/**
 	 * 
 	 * @param parent
@@ -40,175 +41,175 @@
 	 */
 	public ChartEditorToolBar(ChartEditor<? extends ChartResult> chartEditor, Composite parent, GLComposite subWidgetsComposite, int style, String toolbarId) {
 		super(chartEditor, parent, subWidgetsComposite, style, toolbarId);
-
 		
-		//FIXME: tests
-//		new ToolItem(this, SWT.SEPARATOR);
-//		
-//		final ToolItem showTitle = new ToolItem(this, SWT.CHECK);
-//		//showTitle.setText(SWTComponentsProviderMessages.showhideTitle);
-//		showTitle.setImage(IImageKeys.getImage(this, "icons/show_title.png"));
-//		showTitle.setDisabledImage(IImageKeys.getImage(this, "icons/show_title_disabled.png"));
-//		showTitle.setToolTipText(SWTComponentsProviderMessages.showhideTitle);
-//
-//		if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_TITLE))	{
-//			showTitle.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_TITLE));
-//		}
-//		// disable if not managed
-//		else	{
-//			showTitle.setEnabled(false);
-//		}
-//		
-//
-//		final ToolItem showLegend = new ToolItem(this, SWT.CHECK);
-//		//showLegend.setText(SWTComponentsProviderMessages.showhideLegend);
-//		showLegend.setImage(IImageKeys.getImage(this, "icons/show_legend.png"));
-//		showLegend.setDisabledImage(IImageKeys.getImage(this, "icons/show_legend_disabled.png"));
-//		showLegend.setToolTipText(SWTComponentsProviderMessages.showhideLegend);
-//
-//		if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_LEGEND))	{
-//			showLegend.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_LEGEND));
-//		}
-//		// disable if not managed
-//		else	{
-//			showLegend.setEnabled(false);
-//		}
-//
-//		
-//		final ToolItem showGrid = new ToolItem(this, SWT.CHECK);
-//		//showGrid.setText(SWTComponentsProviderMessages.showhideGrid);
-//		showGrid.setImage(IImageKeys.getImage(this, "icons/show_grid.png"));
-//		showGrid.setDisabledImage(IImageKeys.getImage(this, "icons/show_grid_disabled.png"));
-//		showGrid.setToolTipText(SWTComponentsProviderMessages.showhideGrid);
-//		
-//		if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_GRID))	{
-//			showGrid.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_GRID));
-//		}
-//		// disable if not managed
-//		else	{
-//			showGrid.setEnabled(false);
-//		}
-//
-//		
-//		
-//		SelectionListener listener = new SelectionListener() {
-//			
-//			@Override
-//			public void widgetSelected(final SelectionEvent e) {
-//				
-//				// Accessing the source must be done outside the Job
-//				if(e.getSource() == showTitle)	{
-//					TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_TITLE,showTitle.getSelection());
-//				}
-//				if(e.getSource() == showLegend)	{
-//					TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_LEGEND, showLegend.getSelection());
-//				}
-//				if(e.getSource() == showGrid)	{
-//					TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_GRID, showGrid.getSelection());
-//				}
-//				
-//				
-//				// updates existing chart 
-//				Job job = new Job("Update chart") {
-//
-//				    @Override
-//				    protected IStatus run(final IProgressMonitor monitor) {
-//
-//								
-//								
-//							  	// updating and reloading
-//								monitor.beginTask("Updating", IProgressMonitor.UNKNOWN);
-//								chartEditorPart.updateChart();
-//
-//								
-//								
-//								// cancel
-//								if(monitor.isCanceled())	{
-//									return Status.CANCEL_STATUS;
-//								}
-//								
-//								// refreshes
-//					    		chartEditorPart.getSite().getShell().getDisplay().asyncExec(new Runnable() {
-//									@Override
-//									public void run() {
-//										CorporaView.refresh();
-//									}
-//								});
-//								
-//								
-//								// loading
-//								monitor.setTaskName("Loading");
-//								chartEditorPart.loadChart();
-//								
-//								
-//								
-//								// FIXME: persistence test, saving local preferences/parameters to file
-//								//TXMPreferences.flush(chartEditorPart.getResultData());
-//								
-//								
-//								// done
-//								monitor.done(); 
-//
-//							
-////							}
-////						});
-//				  
-//			    		
-//				        return Status.OK_STATUS;
-//				    }
-//
-//				};
-//				//job.setUser(true); // show progress bar, without that the progress is located to bottom right
-//				job.schedule();
-//				
-//				
-//				
-//				
-//			}
-//			
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				// TODO Auto-generated method stub
-//				
-//			}
-//		};
-//		showTitle.addSelectionListener(listener);
-//		showLegend.addSelectionListener(listener);
-//		showGrid.addSelectionListener(listener);
+		
+		// FIXME: tests
+		// new ToolItem(this, SWT.SEPARATOR);
+		//
+		// final ToolItem showTitle = new ToolItem(this, SWT.CHECK);
+		// //showTitle.setText(SWTComponentsProviderMessages.showhideTitle);
+		// showTitle.setImage(IImageKeys.getImage(this, "icons/show_title.png"));
+		// showTitle.setDisabledImage(IImageKeys.getImage(this, "icons/show_title_disabled.png"));
+		// showTitle.setToolTipText(SWTComponentsProviderMessages.showhideTitle);
+		//
+		// if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_TITLE)) {
+		// showTitle.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_TITLE));
+		// }
+		// // disable if not managed
+		// else {
+		// showTitle.setEnabled(false);
+		// }
+		//
+		//
+		// final ToolItem showLegend = new ToolItem(this, SWT.CHECK);
+		// //showLegend.setText(SWTComponentsProviderMessages.showhideLegend);
+		// showLegend.setImage(IImageKeys.getImage(this, "icons/show_legend.png"));
+		// showLegend.setDisabledImage(IImageKeys.getImage(this, "icons/show_legend_disabled.png"));
+		// showLegend.setToolTipText(SWTComponentsProviderMessages.showhideLegend);
+		//
+		// if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_LEGEND)) {
+		// showLegend.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_LEGEND));
+		// }
+		// // disable if not managed
+		// else {
+		// showLegend.setEnabled(false);
+		// }
+		//
+		//
+		// final ToolItem showGrid = new ToolItem(this, SWT.CHECK);
+		// //showGrid.setText(SWTComponentsProviderMessages.showhideGrid);
+		// showGrid.setImage(IImageKeys.getImage(this, "icons/show_grid.png"));
+		// showGrid.setDisabledImage(IImageKeys.getImage(this, "icons/show_grid_disabled.png"));
+		// showGrid.setToolTipText(SWTComponentsProviderMessages.showhideGrid);
+		//
+		// if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_GRID)) {
+		// showGrid.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_GRID));
+		// }
+		// // disable if not managed
+		// else {
+		// showGrid.setEnabled(false);
+		// }
+		//
+		//
+		//
+		// SelectionListener listener = new SelectionListener() {
+		//
+		// @Override
+		// public void widgetSelected(final SelectionEvent e) {
+		//
+		// // Accessing the source must be done outside the Job
+		// if(e.getSource() == showTitle) {
+		// TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_TITLE,showTitle.getSelection());
+		// }
+		// if(e.getSource() == showLegend) {
+		// TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_LEGEND, showLegend.getSelection());
+		// }
+		// if(e.getSource() == showGrid) {
+		// TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_GRID, showGrid.getSelection());
+		// }
+		//
+		//
+		// // updates existing chart
+		// Job job = new Job("Update chart") {
+		//
+		// @Override
+		// protected IStatus run(final IProgressMonitor monitor) {
+		//
+		//
+		//
+		// // updating and reloading
+		// monitor.beginTask("Updating", IProgressMonitor.UNKNOWN);
+		// chartEditorPart.updateChart();
+		//
+		//
+		//
+		// // cancel
+		// if(monitor.isCanceled()) {
+		// return Status.CANCEL_STATUS;
+		// }
+		//
+		// // refreshes
+		// chartEditorPart.getSite().getShell().getDisplay().asyncExec(new Runnable() {
+		// @Override
+		// public void run() {
+		// CorporaView.refresh();
+		// }
+		// });
+		//
+		//
+		// // loading
+		// monitor.setTaskName("Loading");
+		// chartEditorPart.loadChart();
+		//
+		//
+		//
+		// // FIXME: persistence test, saving local preferences/parameters to file
+		// //TXMPreferences.flush(chartEditorPart.getResultData());
+		//
+		//
+		// // done
+		// monitor.done();
+		//
+		//
+		//// }
+		//// });
+		//
+		//
+		// return Status.OK_STATUS;
+		// }
+		//
+		// };
+		// //job.setUser(true); // show progress bar, without that the progress is located to bottom right
+		// job.schedule();
+		//
+		//
+		//
+		//
+		// }
+		//
+		// @Override
+		// public void widgetDefaultSelected(SelectionEvent e) {
+		// // TODO Auto-generated method stub
+		//
+		// }
+		// };
+		// showTitle.addSelectionListener(listener);
+		// showLegend.addSelectionListener(listener);
+		// showGrid.addSelectionListener(listener);
 	}
-
 	
+	
 	/**
 	 * Synchronizes the tool bar with the chart result states.
 	 * Enables/disables button according to the chart result states.
 	 * 
 	 */
-	// FIXME: tests to disable command if the chart is null and reenable it when the chart is computed 
-//	public void synchronize()	{
-//		boolean enable = (this.getEditorPart().getResultData().getChart() != null);
-////		HandledContributionItem t = (HandledContributionItem) this.getItem(0).getData();
-//		System.out.println("ChartEditorToolBar.synchronize()");
-//		
-//		IHandlerService handlerService = (IHandlerService) PlatformUI.getWorkbench().getService(IHandlerService.class);
-//        ICommandService commandService = (ICommandService) PlatformUI.getWorkbench().getService(ICommandService.class);
-//        if (handlerService != null && commandService != null) {
-//                try {
-//                        Command command = commandService.getCommand(ExportChartEditorView.ID);
-//                        command.setEnabled(null);
-//                        //command.setEnabled(new Boolean(enable));
-//                } catch (Exception e) {
-//                	e.printStackTrace();
-//                }
-//        }
-//        else	{
-//        	System.err.println("ChartEditorToolBar.synchronize() can't get handler service");
-//        }
-//	}
-
-
+	// FIXME: tests to disable command if the chart is null and reenable it when the chart is computed
+	// public void synchronize() {
+	// boolean enable = (this.getEditorPart().getResultData().getChart() != null);
+	//// HandledContributionItem t = (HandledContributionItem) this.getItem(0).getData();
+	// System.out.println("ChartEditorToolBar.synchronize()");
+	//
+	// IHandlerService handlerService = (IHandlerService) PlatformUI.getWorkbench().getService(IHandlerService.class);
+	// ICommandService commandService = (ICommandService) PlatformUI.getWorkbench().getService(ICommandService.class);
+	// if (handlerService != null && commandService != null) {
+	// try {
+	// Command command = commandService.getCommand(ExportChartEditorView.ID);
+	// command.setEnabled(null);
+	// //command.setEnabled(new Boolean(enable));
+	// } catch (Exception e) {
+	// e.printStackTrace();
+	// }
+	// }
+	// else {
+	// System.err.println("ChartEditorToolBar.synchronize() can't get handler service");
+	// }
+	// }
+	
+	
 	@Override
-	public ChartEditor getEditorPart() {
-		return (ChartEditor) editorPart;
+	public ChartEditor<? extends TXMResult> getEditorPart() {
+		return (ChartEditor<?>) editorPart;
 	}
-
-}
\ No newline at end of file
+	
+}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/EventCallBack.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/EventCallBack.java	(revision 3077)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/EventCallBack.java	(revision 3078)
@@ -7,12 +7,13 @@
 
 /**
  * Event call back to manage user entries events in the charts in all chart engine implementations.
+ * 
  * @author sjacquot
  *
  */
 public abstract class EventCallBack {
-
 	
+	
 	/**
 	 * Area of event constants.
 	 */
@@ -23,17 +24,17 @@
 	 * The linked Chart editor part.
 	 */
 	protected ChartEditor chartEditor;
-
+	
 	/**
 	 * 
 	 */
-	public EventCallBack() {
-	}
+	public EventCallBack() {}
 	
 	
-
+	
 	/**
 	 * Processes the call back.
+	 * 
 	 * @param event
 	 * @param eventArea
 	 * @param customData
@@ -46,9 +47,9 @@
 	public void setChartEditor(ChartEditor chartEditor) {
 		this.chartEditor = chartEditor;
 	}
-
-
-
+	
+	
+	
 	/**
 	 * @return the chartEditor
 	 */
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/XYCardinalSplineRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/XYCardinalSplineRenderer.java	(revision 3077)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/XYCardinalSplineRenderer.java	(revision 3078)
@@ -37,7 +37,7 @@
 	/**
 	 * 
 	 */
-	protected List<Point2D> points = new ArrayList();
+	protected List<Point2D> points = new ArrayList<>();
 	
 	
 	
@@ -127,7 +127,7 @@
 		pts.add(0, (Point2D) pts.get(0).clone());
 		pts.add((Point2D) pts.get(pts.size() - 1).clone());
 		
-		List<Point2D> result = new ArrayList();
+		List<Point2D> result = new ArrayList<>();
 		
 		for (int i = 1; i < pts.size() - 2; i++) {
 			for (int t = 0; t <= this.precision; t++) {
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/ExtendedNumberAxis.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/ExtendedNumberAxis.java	(revision 3077)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/ExtendedNumberAxis.java	(revision 3078)
@@ -8,6 +8,7 @@
 import org.jfree.chart.axis.AxisState;
 import org.jfree.chart.axis.NumberAxis;
 import org.jfree.chart.axis.NumberTick;
+import org.jfree.chart.axis.Tick;
 import org.jfree.chart.axis.TickType;
 import org.jfree.chart.ui.RectangleEdge;
 
@@ -74,8 +75,8 @@
 	@Override
 	public List refreshTicks(Graphics2D g2, AxisState state, Rectangle2D dataArea, RectangleEdge edge) {
 		
-		List allTicks = super.refreshTicks(g2, state, dataArea, edge);
-		List newTicks = new ArrayList();
+		List<Tick> allTicks = super.refreshTicks(g2, state, dataArea, edge);
+		List<Tick> newTicks = new ArrayList<>();
 		
 		for (Object tick : allTicks) {
 			NumberTick numberTick = (NumberTick) tick;
@@ -97,7 +98,7 @@
 				continue;
 			}
 			
-			newTicks.add(tick);
+			newTicks.add(numberTick);
 		}
 		return newTicks;
 	}
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/SymbolAxisBetweenTicks.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/SymbolAxisBetweenTicks.java	(revision 3077)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/SymbolAxisBetweenTicks.java	(revision 3078)
@@ -191,9 +191,9 @@
 	
 	
 	@Override
-	protected List refreshTicksHorizontal(Graphics2D g2, Rectangle2D dataArea, RectangleEdge edge) {
+	protected List<Tick> refreshTicksHorizontal(Graphics2D g2, Rectangle2D dataArea, RectangleEdge edge) {
 		
-		List ticks = new java.util.ArrayList();
+		List<Tick> ticks = new java.util.ArrayList<>();
 		
 		Font tickLabelFont = getTickLabelFont();
 		g2.setFont(tickLabelFont);
Index: tmp/org.txm.cooccurrence.chartsengine/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cooccurrence.chartsengine/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.cooccurrence.chartsengine/META-INF/MANIFEST.MF	(revision 3078)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.cooccurrence.chartsengine;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: Textometrie.org
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.txm.chartsengine.graphstream.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.cooccurrence.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.cooccurrence.rcp;bundle-version="1.0.0";visibility:=reexport,
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 3077)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 3078)
@@ -41,11 +41,11 @@
 					List<TXMResult> allChildren = ((TXMResult) corpus).getChildren(!TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES));
 					
 					
-					ArrayList partitions = new ArrayList();
-					ArrayList subcorporas = new ArrayList();
-					ArrayList resultsChildren = new ArrayList();
-					ArrayList hiddentResultsChildren = new ArrayList();
-					ArrayList children = new ArrayList();
+					ArrayList<Partition> partitions = new ArrayList<>();
+					ArrayList<CQPCorpus> subcorporas = new ArrayList<>();
+					ArrayList<TXMResult> resultsChildren = new ArrayList<>();
+					ArrayList<Object> hiddentResultsChildren = new ArrayList<>();
+					ArrayList<Object> children = new ArrayList<>();
 					
 					// FIXME: remove Text and SavedQuery from the corpora view
 					// + sort and group the partitions and subcorpus
@@ -53,15 +53,15 @@
 						Object element = allChildren.get(i);
 						// partitions
 						if (element instanceof Partition) {
-							partitions.add(element);
+							partitions.add((Partition) element);
 						}
 						// corpus
 						else if (element instanceof CQPCorpus) {
-							subcorporas.add(element);
+							subcorporas.add((CQPCorpus) element);
 						}
 						// results
 						else if (((TXMResult) element).isVisible()) {
-							resultsChildren.add(element);
+							resultsChildren.add((TXMResult) element);
 						}
 						// hidden results
 						else if (TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES)) {
Index: tmp/org.txm.treetagger.core.models/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.core.models/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.treetagger.core.models/META-INF/MANIFEST.MF	(revision 3078)
@@ -4,6 +4,6 @@
 Bundle-SymbolicName: org.txm.treetagger.core.models
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.treetagger.core
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.treetagger.core.models
Index: tmp/org.txm.treetagger.core.macosx/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.core.macosx/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.treetagger.core.macosx/META-INF/MANIFEST.MF	(revision 3078)
@@ -5,5 +5,5 @@
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.treetagger.core
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.txm.treetagger.core.macosx
Index: tmp/org.txm.libs.gson/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.gson/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.libs.gson/META-INF/MANIFEST.MF	(revision 3078)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.libs.gson
 Bundle-Version: 2.8.6
 Automatic-Module-Name: org.txm.libs.gson
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ClassPath: gson-2.8.6.jar,
  .
 Export-Package: com.google.gson,
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/ReadRegistryFile.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/ReadRegistryFile.java	(revision 3077)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/ReadRegistryFile.java	(revision 3078)
@@ -40,7 +40,7 @@
 	 */
 	public void read() {
 		pAttributes = new ArrayList<>();
-		sAttributes = new ArrayList();
+		sAttributes = new ArrayList<>();
 		sattrs = new HashMap<>();
 		sattrsProfs = new HashMap<>();
 		
Index: tmp/org.txm.imports.metopes/.classpath
===================================================================
--- tmp/org.txm.imports.metopes/.classpath	(revision 3077)
+++ tmp/org.txm.imports.metopes/.classpath	(revision 3078)
@@ -1,16 +1,12 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con"
-		path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6" />
-	<classpathentry kind="con"
-		path="org.eclipse.pde.core.requiredPlugins">
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
 		<accessrules>
-			<accessrule kind="accessible" pattern="**" />
+			<accessrule kind="accessible" pattern="**"/>
 		</accessrules>
 	</classpathentry>
-	<classpathentry kind="src" path="src" />
-	<classpathentry kind="src" path="res" />
-	<classpathentry exported="true" kind="con"
-		path="GROOVY_DSL_SUPPORT" />
-	<classpathentry kind="output" path="bin" />
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="src" path="res"/>
+	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.imports.metopes/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.imports.metopes/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.imports.metopes/META-INF/MANIFEST.MF	(revision 3078)
@@ -8,7 +8,7 @@
  org.txm.rcp;bundle-version="0.8.0",
  org.eclipse.ui,
  org.eclipse.core.runtime
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.importer.metopes,
  org.txm.importer.metopes.preferences,
Index: tmp/org.txm.treetagger.core.win32/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.core.win32/META-INF/MANIFEST.MF	(revision 3077)
+++ tmp/org.txm.treetagger.core.win32/META-INF/MANIFEST.MF	(revision 3078)
@@ -4,6 +4,6 @@
 Bundle-SymbolicName: org.txm.treetagger.core.win32
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.treetagger.core;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.treetagger.core.win32
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 3077)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 3078)
@@ -80,12 +80,13 @@
 					}
 					else if (tmpEditor instanceof ITXMResultEditor) {
 						
-						ArrayList eds = tmpEditors.get(((ITXMResultEditor<TXMResult>) tmpEditor).getResult());
+						ITXMResultEditor<TXMResult> txmEditor = (ITXMResultEditor<TXMResult>) tmpEditor;
+						ArrayList<ITXMResultEditor<TXMResult>> eds = tmpEditors.get(txmEditor.getResult());
 						if (eds == null) {
 							eds = new ArrayList<>();
-							tmpEditors.put(((ITXMResultEditor<TXMResult>) tmpEditor).getResult(), eds);
+							tmpEditors.put(txmEditor.getResult(), eds);
 						}
-						eds.add(tmpEditor);
+						eds.add(txmEditor);
 					}
 				}
 			}
